Package org.eclipse.net4j.util.om.trace

# Class RemoteTraceServer.PrintListener

java.lang.Object
org.eclipse.net4j.util.om.trace.RemoteTraceServer.PrintListener

All Implemented Interfaces:
  `RemoteTraceServer.Listener`

Enclosing class:
  RemoteTraceServer

public static class RemoteTraceServer.PrintListener extends Object implements RemoteTraceServer.Listener
A `listener` that appends `trace events` to a `print stream`.

Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final RemoteTraceServer.PrintListener`
`CONSOLE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`PrintListener()`
``
`PrintListener(PrintStream stream)`

## Method Summary

Modifier and Type
Method
Description
`PrintStream`
`getStream()`
`void`
`notifyRemoteTrace(RemoteTraceServer.Event event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CONSOLE

public static final RemoteTraceServer.PrintListener CONSOLE

## Constructor Details

### PrintListener

public PrintListener(PrintStream stream)

### PrintListener

protected PrintListener()

## Method Details

### getStream

public PrintStream getStream()

Since:
  3.2

### notifyRemoteTrace

public void notifyRemoteTrace(RemoteTraceServer.Event event)

Specified by:
  `notifyRemoteTrace` in interface `RemoteTraceServer.Listener`